import LightboxComponent from './Components/Lightbox'

function object_merge(objectA, objectB) {
    Object.keys(objectB).forEach((key) => {
        objectA[key] = objectB[key]
    })

    return objectA
}

const config = {
    leftArrowIcon: '../Icons/left-arrow.svg',
    rightArrowIcon: '../Icons/right-arrow.svg',
}

const Lightbox = {
    install(Vue, options) {
        Vue.mixin({
            computed: {
                lightboxConfig() {
                    return object_merge(config, options)
                },
            },
            components: {
                lightbox: LightboxComponent,
            },
        });
    },
}

export default Lightbox;
